export declare class Subscription<S extends {
    state: any;
    dispatch: any;
} = any> {
    private store;
    private listeners;
    constructor(store: S);
    getStore(): S;
    updateStore({ newState, newDispatch, }: {
        newState?: Partial<S['state']>;
        newDispatch?: Partial<S['dispatch']>;
    }): void;
    trySubscribe(): void;
    addListener(listener: (state: S) => void): void;
    deleteListener(listener: (state: S) => void): void;
    reset(store: S): void;
}
